Eclipse Draw2d 3.2

## org.eclipse.draw2d.text
Interface FlowBorder

All Superinterfaces:
  Border

All Known Implementing Classes:
  AbstractFlowBorder

public interface FlowBorder
extends Border

Experimental API. This is a special type of border for use with `FlowFigure`s. This interface should not be implemented by clients. Clients should extend `AbstractFlowBorder`.

Since:
  3.1

Method Summary
`int` `getBottomMargin()` Returns the collapsable bottom margin in pixels.
`int` `getLeftMargin()` Returns the left margin in pixels.
`int` `getRightMargin()` Returns the right margin in pixels.
`int` `getTopMargin()` Returns the collapsable top margin in pixels.
`void` `paint(FlowFigure figure, Graphics g, Rectangle where, int sides)` Paints the border around the given box location.

Methods inherited from interface org.eclipse.draw2d.Border
`getInsets, getPreferredSize, isOpaque, paint`

Method Detail

### getBottomMargin

    public int getBottomMargin()

  Returns the collapsable bottom margin in pixels. Margin is the space external to the border and the flow box on which it is rendered. Vertical margins (top and bottom) may collapse in some situations, such as adjacent or nested blocks.

  Returns:
    the bottom margin
  Since:
    3.1

### getLeftMargin

    public int getLeftMargin()

  Returns the left margin in pixels. Margin is the space external to the border and the flow box on which it is rendered.

  Returns:
    the left margin
  Since:
    3.1

### getRightMargin

    public int getRightMargin()

  Returns the right margin in pixels. Margin is the space external to the border and the flow box on which it is rendered.

  Returns:
    the right margin
  Since:
    3.1

### getTopMargin

    public int getTopMargin()

  Returns the collapsable top margin in pixels. Margin is the space external to the border and the flow box on which it is rendered. Vertical margins (top and bottom) may collapse in some situations, such as adjacent or nested blocks.

  Returns:
    the top margin
  Since:
    3.1

### paint

    public void paint(FlowFigure figure,
                      Graphics g,
                      Rectangle where,
                      int sides)

  Paints the border around the given box location. The border is asked to paint each of the FlowFigure's boxes. The `sideInfo` parameter is used to indicate whether the left and right sides should be rendered. This parameter will contain the following bit flags:
  - `SWT.LEAD`
  - `SWT.TRAIL`
  - `SWT.RIGHT_TO_LEFT`

  Parameters:
    `figure` - the flow figure whose border is being painted
    `g` - the graphics
    `where` - the relative location of the box
    `sides` - bits indicating sides and bidi orientation
  Since:
    3.1

Eclipse Draw2d 3.2

Copyright (c) IBM Corp. and others 2000, 2006. All Rights Reserved.